Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in python-Jinja2
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in python-Jinja2
ID: SUSE-SU-2019:1156-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Module for Basesystem 15, SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
Datum: Mo, 6. Mai 2019, 21:04
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-8341
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-10906
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-10745
Applikationen: Jinja2

Originalnachricht


SUSE Security Update: Security update for python-Jinja2
______________________________________________________________________________

Announcement ID: SUSE-SU-2019:1156-1
Rating: important
References: #1125815 #1132174 #1132323
Cross-References: CVE-2016-10745 CVE-2019-10906 CVE-2019-8341

Affected Products:
SUSE Linux Enterprise Module for Open Buildservice
Development Tools 15
SUSE Linux Enterprise Module for Basesystem 15
______________________________________________________________________________

An update that fixes three vulnerabilities is now available.

Description:

This update for python-Jinja2 to version 2.10.1 fixes the following issues:

Security issues fixed:

- CVE-2019-8341: Fixed a command injection in from_string() (bsc#1125815).
- CVE-2019-10906: Fixed a sandbox escape due to information disclosure via
str.format (bsc#1132323).


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Module for Open Buildservice Development Tools 15:

zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-2019-1156=1

- SUSE Linux Enterprise Module for Basesystem 15:

zypper in -t patch SUSE-SLE-Module-Basesystem-15-2019-1156=1



Package List:

- SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
(noarch):

python-Jinja2-emacs-2.10.1-3.5.1
python-Jinja2-vim-2.10.1-3.5.1

- SUSE Linux Enterprise Module for Basesystem 15 (noarch):

python2-Jinja2-2.10.1-3.5.1
python3-Jinja2-2.10.1-3.5.1


References:

https://www.suse.com/security/cve/CVE-2016-10745.html
https://www.suse.com/security/cve/CVE-2019-10906.html
https://www.suse.com/security/cve/CVE-2019-8341.html
https://bugzilla.suse.com/1125815
https://bugzilla.suse.com/1132174
https://bugzilla.suse.com/1132323

_______________________________________________
sle-security-updates mailing list
sle-security-updates@lists.suse.com
http://lists.suse.com/mailman/listinfo/sle-security-updates
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung